#include <iostream>
#include "histogram.h"
#include "svg.h"
#include <vector>

using namespace std;

struct Input
{
    vector<double> numbers;
    size_t bin_count{};
};

Input input_data(istream& sin)
{
    Input in;
    size_t number_count;
    sin >> number_count;
    in.numbers.resize(number_count);
    for (size_t i = 0; i < number_count; i++)
    {
        sin >> in.numbers[i];
    }
    sin >> in.bin_count;
    return in;
}

int main() {
    Input in = input_data(cin);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
    return 0;
}
